Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2557 - samba for on sparc can only see first line in /etc/smbpasswd file
Summary: samba for on sparc can only see first line in /etc/smbpasswd file
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: samba
Version: 6.0
Hardware: sparc
OS: Linux
medium
high
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-05 07:06 UTC by pfeif
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-06-17 15:18:24 UTC


Attachments (Terms of Use)

Description pfeif 1999-05-05 07:06:01 UTC
Samba-2.0.3 from redhat-sparc 6.0 (on an Ultra-10)  can only
see one line in /etc/smbpasswd (properly created with
makesmbpasswd.sh or via smbadduser). As soon as more than
one line is present,it fails on all entrys ("Cannot find
xxxx in smbpasswd file" or something like that is written in
the logs). This is when trying with "smbpasswd", "smbclient"
or when connecting from a windows client. More info
available upon request.

Comment 1 Bill Nottingham 1999-05-10 20:56:59 UTC
There seems to be some 64-bit collision issues on the UltraSparc
(it's using 64-bit types when 32 seems to be expected.) I'll
enter something in the samba bug tracker and get back to you.

Comment 2 David Miller 1999-05-18 03:54:59 UTC
I found the bug, it is in the kernel and easily fixable.

All of SMB_IOC_* ioctl()s are not being translated from
the userspace 32-bit types into the kernel 64-bit types,
this means changes to arch/sparc64/kernel/ioctl32.c in
the kernel.

I think it can be removed from the Samba bug tracker,
because their code is fine, notting?

Comment 3 Bill Nottingham 1999-05-18 13:41:59 UTC
sure, but the problem here was in using
ftello64 and the like to get file offsets
and then doing some various pointer math
on it - would that have caused these bugs
too?

------- Email Received From  "David S. Miller" <davem@redhat.com> 05/18/99 13:13 -------

Comment 4 Bill Nottingham 1999-06-17 15:18:59 UTC
Fixed in samba-2.0.4b-5, by a really ugly hack.
Will be available in next Raw Hide.


Note You need to log in before you can comment on or make changes to this bug.